Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.i18n
Class LocalizedPropertyResourceBundle

    java.lang.Object
      java.util.ResourceBundle
          java.util.PropertyResourceBundle
              org.jboss.portal.common.i18n.LocalizedPropertyResourceBundle

    public class LocalizedPropertyResourceBundle

extends java.util.PropertyResourceBundle

Version:
  $Revision: 6818 $
Author:
  Julien Viet

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`LocalizedPropertyResourceBundle(java.io.InputStream stream, java.util.Locale locale)` Create an instanceof of localized property resource bundle.

Method Summary
`java.util.Locale` | `getLocale()`

Methods inherited from class java.util.PropertyResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedPropertyResourceBundle

    public LocalizedPropertyResourceBundle(java.io.InputStream stream,
                                           java.util.Locale locale)
                                    throws java.io.IOException

  Create an instanceof of localized property resource bundle.

  Parameters:
    `stream` - the stream to decode the property file
    `locale` - the locale to use
  Throws:
    `java.lang.IllegalArgumentException` - if the locale is null
    `java.io.IOException`

Method Detail

### getLocale

    public java.util.Locale getLocale()

  Overrides:
    `getLocale` in class `java.util.ResourceBundle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.